Bug 198879 - Review Request: kdnssd-avahi
Summary: Review Request: kdnssd-avahi
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-07-14 11:22 UTC by Petr Rockai
Modified: 2013-01-10 01:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 16:38:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Petr Rockai 2006-07-14 11:22:21 UTC
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdnssd-avahi.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdnssd-avahi-0.1.2-6.20060713svn.src.rpm
Description: KDE zeroconf implementation based on avahi

The default upstream-provided zeroconf support in KDE (kdnssd) depends on Apple mDNSresponder, which is covered by APSL. The currently shipped KDE in FC has no zeroconf support whatsoever. This package, together with some changes to kdelibs package should provide KDE with zeroconf functionality.

Thanks go to Rex Dieter for working on this.

Comment 1 Bill Nottingham 2006-07-14 16:07:02 UTC
Ok from a tech persepctive.

Comment 2 Jesse Keating 2006-07-17 17:49:16 UTC
NEEDSWORK:
- prerelease package release tags start with 0., as per
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-d97a3f40b6dd9d2288206ac9bd8f1bf9b791b22a
- description for -devel should mention that it is development stuff.
- RPMLINT output

W: kdnssd-avahi-devel no-documentation
W: kdnssd-avahi strange-permission kdnssd-avahi-svn_checkout.sh 0755

First one is ignorable.  Second one as well.

Comment 3 Rex Dieter 2006-07-18 03:01:20 UTC
> prerelease package release tags start with 0.

It's not a pre-release, but a post-0.1.2-release svn checkout.


Comment 4 Petr Rockai 2006-07-18 10:56:49 UTC
Rex, could you please update the -devel description? I think that's the 
only complaint now. I'd like to get this in before devel freeze tomorrow, 
too...

Comment 5 Rex Dieter 2006-07-18 11:34:00 UTC
< - description for -devel should mention that it is development stuff.

*Other* than saying (as it is now):
Development files for kdnssd
?

Comment 6 Jesse Keating 2006-07-18 12:17:39 UTC
Er.. my bad.  I saw %description as %{summary} and thought it was the summary
from the main package, not from the devel package.

And since it is a snapshot, it is considered a "pre" release of the next release.



Comment 7 Rex Dieter 2006-07-18 13:47:31 UTC
%changelog
* Tue Jul 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.3-0.1.20060713svn
- since using snapshot, consider it a pre-release of next version


Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdnssd-avahi.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdnssd-avahi-0.1.3-0.1.20060713svn.src.rpm

Comment 8 Jesse Keating 2006-07-18 15:33:27 UTC
New version looks good.  All other things look good.

I assume that this will be a Requires of something else, and doesn't need its
own comps entry, correct?

Setting Peter to owner and adding to dist-fc6.  Please close when built into
rawhide.


Comment 9 Petr Rockai 2006-07-18 16:38:17 UTC
Built. I'm test-building kdelibs which Require the new kdnssd-avahi 
package through Provides: libkdnssd, it should go into rawhide as soon as 
it builds and installs on my test machine.


Note You need to log in before you can comment on or make changes to this bug.